WARNING - OLD ARCHIVES

This is an archived copy of the Xen.org mailing list, which we have preserved to ensure that existing links to archives are not broken. The live archive, which contains the latest emails, can be found at http://lists.xen.org/
   
 
 
Xen 
 
Home Products Support Community News
 
   
 

xen-changelog

[Xen-changelog] [xen-unstable] When building from a tarball release use

To: xen-changelog@xxxxxxxxxxxxxxxxxxx
Subject: [Xen-changelog] [xen-unstable] When building from a tarball release use hardcoded path to
From: Xen patchbot-unstable <patchbot-unstable@xxxxxxxxxxxxxxxxxxx>
Date: Tue, 10 Jun 2008 03:40:33 -0700
Delivery-date: Tue, 10 Jun 2008 03:41:15 -0700
Envelope-to: www-data@xxxxxxxxxxxxxxxxxx
List-help: <mailto:xen-changelog-request@lists.xensource.com?subject=help>
List-id: BK change log <xen-changelog.lists.xensource.com>
List-post: <mailto:xen-changelog@lists.xensource.com>
List-subscribe: <http://lists.xensource.com/cgi-bin/mailman/listinfo/xen-changelog>, <mailto:xen-changelog-request@lists.xensource.com?subject=subscribe>
List-unsubscribe: <http://lists.xensource.com/cgi-bin/mailman/listinfo/xen-changelog>, <mailto:xen-changelog-request@lists.xensource.com?subject=unsubscribe>
Reply-to: xen-devel@xxxxxxxxxxxxxxxxxxx
Sender: xen-changelog-bounces@xxxxxxxxxxxxxxxxxxx
# HG changeset patch
# User Keir Fraser <keir.fraser@xxxxxxxxxx>
# Date 1213004649 -3600
# Node ID f6520678755ab9690251467e1945cda63b040572
# Parent  a40c23c25b0d54e950367c5dd5028bc19ed43618
When building from a tarball release use hardcoded path to
linux-2.6.18-xen.hg as a last resort when searching for a Linux source
tree.

Signed-off-by: Ian Campbell <ian.campbell@xxxxxxxxxx>
---
 buildconfigs/select-repository |   57 +++++++++++++++++++++++------------------
 1 files changed, 32 insertions(+), 25 deletions(-)

diff -r a40c23c25b0d -r f6520678755a buildconfigs/select-repository
--- a/buildconfigs/select-repository    Mon Jun 09 09:51:14 2008 +0100
+++ b/buildconfigs/select-repository    Mon Jun 09 10:44:09 2008 +0100
@@ -32,31 +32,38 @@ if [ X"${LINUX_SRC_PATH}" != X ] ; then
     IFS="$IFS_saved"
 fi
 
-XEN=$(hg -R ${XEN_ROOT} path default)
-if [ $? -ne 0 ] || [ X"$XEN" = "X" ] ; then
-    echo "$ME: Unable to determine Xen repository parent." 1>&2
-    exit 1;
+if [ -d ${XEN_ROOT}/.hgxxx ] ; then
+    XEN=$(hg -R ${XEN_ROOT} path default)
+    if [ $? -ne 0 ] || [ X"$XEN" = "X" ] ; then
+       echo "$ME: Unable to determine Xen repository parent." 1>&2
+       exit 1;
+    fi
+
+    BASE=$(dirname ${XEN})
+    if [ $? -ne 0 ] || [ X"$BASE" = "X" ] ; then
+       echo "$ME: Unable to determine Xen repository base." 1>&2
+       exit 1;
+    fi
+    if [ -d "$XEN" ] && [ ! -d "$BASE/$REPO" ] ; then
+       echo "$ME: No such dir: $BASE/$REPO" 1>&2
+       exit 1
+    fi
+
+    echo "$ME: Found ${BASE}/${REPO}" 1>&2
+
+    # If ${BASE}/${REPO} is a local directory then prepend file:// so that
+    # the test in src.hg-clone will fail and we will clone instead of
+    # linking this repository. We only want to link repositories which
+    # were found via LINUX_SRC_PATH.
+    if [ -d "${BASE}/${REPO}" ] ; then
+       echo "file://${BASE}/${REPO}"
+    else
+       echo ${BASE}/${REPO}
+    fi
+else
+    echo "Unable to determine path to Linux source tree." 1>&2
+    echo "Falling back to linux-2.6.18-xen Mercurial repository." 1>&2
+    echo http://xenbits.xensource.com/linux-2.6.18-xen.hg
 fi
 
-BASE=$(dirname ${XEN})
-if [ $? -ne 0 ] || [ X"$BASE" = "X" ] ; then
-    echo "$ME: Unable to determine Xen repository base." 1>&2
-    exit 1;
-fi
-if [ -d "$XEN" ] && [ ! -d "$BASE/$REPO" ] ; then
-    echo "$ME: No such dir: $BASE/$REPO" 1>&2
-    exit 1
-fi
-
-echo "$ME: Found ${BASE}/${REPO}" 1>&2
-
-# If ${BASE}/${REPO} is a local directory then prepend file:// so that
-# the test in src.hg-clone will fail and we will clone instead of
-# linking this repository. We only want to link repositories which
-# were found via LINUX_SRC_PATH.
-if [ -d "${BASE}/${REPO}" ] ; then
-    echo "file://${BASE}/${REPO}"
-else
-    echo ${BASE}/${REPO}
-fi
 exit 0

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog

<Prev in Thread] Current Thread [Next in Thread>
  • [Xen-changelog] [xen-unstable] When building from a tarball release use hardcoded path to, Xen patchbot-unstable <=